EDIT - bug #8584

Appended phrase should be shown on top level for misapplied names
10/11/2019 10:11 AM - Andreas Miller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal Found in Version:

Description

Currently when editing misapplied name relationships in details view the details view has a subsection for taxon information of the
misapplied taxon. This is

°

titteCache

appended phrase
published

original taxon doubtful

while the sec reference (callend "sensu" here) and its detail are visible in the main section.

Appended phrase is similar to "sensu" an essential field for misapplied names as you may enter importantant information like

"aucts.", "auct. europ." here. So it should be on same level like.

We may also discuss if the publish flag should be top level. As this is usually the only place where MAN are edited it is essential to
see if the MAN is publish or not. This is similar to the handling of ordinary synonyms then.

Doubtful and cache may stay in the subsection as they are rarely used.

Related issues:
Related to EDIT - feature request #8649: Layout issues for misapplied name/pr... New

Associated revisions

Revision 9ca58dbb - 10/29/2019 11:48 AM - Katja Luther
ref #8584: move appended phrase and publish flag

History

#1 - 10/11/2019 10:11 AM - Andreas Mdiller

Was there a ticket which decided to create a subsection? If yes, please relate it to this ticket.

#2 - 10/29/2019 11:53 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please have a look whether the order of the fields make sense. Now all taxon related fields are at the top of the section and the taxonrelation related
field behind.

#3 - 11/01/2019 09:34 AM - Andreas Miiller

Yes the order is correct now and also the selection for top level controls makes sense.
Some open minor issues (open new ticket if not immediately fixable):

® Add identation (whitespace at beginning) for both "Detail" controls. They belong to the above controls "Sensu" and "Misappl. Sec.". In future they
wil be part of a source sub-subcontrol so they really closely belong together.

¢ Also the distance of the labels of these both should be closer. "Sensu" is not in the middle of the follwoing text field but more in the upper part.
Therefore there is much distance between "Sensu" and "Detail" though they belong together.

e At the same time there is very little distance between the first "Detail" and Misapplication Type though these do not belong together. WIth the
later field the relationship part starts. If possible we should have some extra distance between these 2 controls. This way the Ul may make clear
what is taxon related and what is relationship related
#4 - 11/01/2019 09:34 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

#5 - 11/01/2019 09:34 AM - Andreas Miiller
- % Done changed from 0 to 70

#6 - 11/05/2019 01:55 PM - Katja Luther

- Related to feature request #8649: Layout issues for misapplied name/pro parte synonyms added

#7 - 11/05/2019 01:56 PM - Katja Luther
- Status changed from Feedback to Closed

created new ticket for the layout issues (#8649) and close this ticket

#8 - 11/05/2019 01:56 PM - Katja Luther
- % Done changed from 70 to 100
